#include <Adafruit_NeoPixel.h>
#ifdef __AVR__
#include <avr/power.h> // Required for 16 MHz Adafruit Trinket
#endif

int soundReading; // FSR is connected to analog 0

int pin = 6; // digital pin used
int NUMPixels = 150; // mumber of seopixels in the strip

int highS = 500; //soundreading used to interact with the lights

boolean clapState = false; // boolean use to identify claps
boolean atStart = true; // boolean used for to sed the lights at the start

Adafruit_NeoPixel pixels(NUMPixels, pin, NEO_GRB + NEO_KHZ800);

void setup() {

  Serial.begin(9600);
  pixels.begin();
  pixels.setBrightness(255); // intensity of the neopixels
  for (int i = 0; i <= NUMPixels; i++) {
    pixels.setPixelColor(i, 100, 50, 50); // set the lights pink
  }
  pixels.show();

}

void loop() {
  soundReading = analogRead(0); //read sound sensor
  Serial.print("Analog reading = ");
  Serial.println(soundReading);


  if (atStart == true) {

    for (int i = 0; i <= NUMPixels; i++) {
      pixels.setPixelColor(i, 100, 50, 50);
    }
    pixels.show();
  }


  if (clapState == false && soundReading >= highS) {
    atStart = false;
    for (int i = 0; i <= NUMPixels; i++) {
      pixels.setPixelColor(i, pixels.Color(0, 0, 0));
      pixels.show();
    }
    clapState = true;

  }
  else if (clapState == true && soundReading >= highS) {
    clapState = false;

    for (int i = 0; i <= NUMPixels; i++) {
      pixels.setPixelColor(i, 0, 0, 255);
      pixels.show();
    }
  }
}
